/* Adminimal SubTheme overrides file. All selectors must start with ".adminimal-subtheme" */

/*
 admin menu
*/

.adminimal-subtheme
  #toolbar-administration
  .toolbar-tab
  > .toolbar-item.dashboards,
.adminimal-subtheme
  #toolbar-administration
  .toolbar-tab
  > .toolbar-item.configuration.vocabulary {
  color: #bebebe;
  padding: 13px 15px 13px 45px;
  position: relative;
}

.adminimal-subtheme
  #toolbar-administration
  .toolbar-tab
  > .toolbar-item.dashboards.is-active,
.adminimal-subtheme
  #toolbar-administration
  .toolbar-tab
  > .toolbar-item.dashboards:hover,
.adminimal-subtheme
  #toolbar-administration
  .toolbar-tab
  > .toolbar-item.dashboards:before:hover,
.adminimal-subtheme
  #toolbar-administration
  .toolbar-tab
  > .toolbar-item.configuration.vocabulary.is-active,
.adminimal-subtheme
  #toolbar-administration
  .toolbar-tab
  > .toolbar-item.configuration.vocabulary:hover,
.adminimal-subtheme
  #toolbar-administration
  .toolbar-tab
  > .toolbar-item.configuration.vocabulary:before:hover {
  background: url("//framework.web.cern.ch/framework/3.0/images/dashboard-ffffff.svg")
    no-repeat center center / 20px auto;
  color: #ffffff;
}

.adminimal-subtheme
  #toolbar-administration
  .toolbar-tab
  > .toolbar-item.dashboards:before,
.adminimal-subtheme
  #toolbar-administration
  .toolbar-tab
  > .toolbar-item.configuration.vocabulary:before {
  content: "";
  display: block;
  background: url("//framework.web.cern.ch/framework/3.0/images/dashboard-bebebe.svg")
    no-repeat center center / 20px auto;
  left: 15px;
  position: absolute;
  top: 0;
  width: 20px;
  height: 100%;
  padding: 0;
}

.adminimal-subtheme
  #toolbar-administration
  .toolbar-tab
  > .toolbar-item.dashboards:active:before,
.adminimal-subtheme
  #toolbar-administration
  .toolbar-tab
  > .toolbar-item.dashboards.is-active:before,
.adminimal-subtheme
  #toolbar-administration
  .toolbar-tab
  > .toolbar-item.configuration.vocabulary:active:before,
.adminimal-subtheme
  #toolbar-administration
  .toolbar-tab
  > .toolbar-item.configuration.vocabulary.is-active:before {
  color: #ffffff;
  background: url("//framework.web.cern.ch/framework/3.0/images/dashboard-ffffff.svg")
    no-repeat center center / 20px auto;
}

/* ************************************************************ title  */

.adminimal-subtheme h1,
.adminimal-subtheme .heading-a {
  font-weight: 400;
  margin-bottom: 10px;
  color: #333;
}

.adminimal-subtheme header .region-header h1,
.adminimal-subtheme header .region-header .heading-a {
  color: #fff;
}

/* ************************************************************ color field  */

.adminimal-subtheme .field--type-color-field-type {
  clear: both;
}

.adminimal-subtheme .field--type-color-field-type:after {
  content: "";
  display: table;
  clear: both;
}

.adminimal-subtheme .field--widget-color-field-widget-box h4 {
  font-size: 13.008px;
}

.adminimal-subtheme .color-field-widget-box-form {
  display: block;
  width: auto;
  float: left;
}

.adminimal-subtheme .color_field_widget_box__square,
.adminimal-subtheme .color_field_widget_box__square--transparent {
  background: white;
  border: 1px solid #666666;
  cursor: pointer;
  display: inline-block;
  background: none;
  overflow: hidden;
  position: relative;
  height: 14px;
  width: auto;
  padding: 1px 8px;
  vertical-align: top;
  margin: 0 2px 1px 0;
}

.adminimal-subtheme .color_field_widget_box__square--transparent {
  background: white !important;
}

.adminimal-subtheme .color_field_widget_box__square:hover,
.adminimal-subtheme .color_field_widget_box__square--transparent:hover {
  padding: 1px 8px;
}

.adminimal-subtheme .color_field_widget_box__square.active,
.adminimal-subtheme .color_field_widget_box__square--transparent.active {
  padding: 9px 16px;
}

.adminimal-subtheme .color_field_widget_box__square--transparent:before {
  position: absolute;
  content: "";
  display: block;
  top: -1px;
  left: 0;
  width: 100px;
  height: 2px;
  background-color: #e00;
  transform-origin: 0 0;
  transform: rotate(45deg);
}

.adminimal-subtheme
  .field--widget-color-field-widget-box
  div[class*="opacity"] {
  display: block;
  padding: 0;
  text-align: left;
  position: static;
  /* top: -24px; */
  margin: 0;
  float: left;
}

.adminimal-subtheme
  .field--widget-color-field-widget-box
  div[class*="opacity"]
  label {
  display: block;
  font-size: 10px;
}

.adminimal-subtheme
  .field--widget-color-field-widget-box
  div[class*="opacity"]
  input {
  max-width: 55px;
}

/* ************************************************************ loader  */

/* loaders styles */

.adminimal-subtheme .ajax-progress-throbber .throbber {
  background: none;
  padding: 0;
  width: 13px;
  height: 13px;
  display: inline-block;
  vertical-align: middle;
  position: relative;
}

/* -------------------------------------------------------- */

/* LOADER */

/* -------------------------------------------------------- */

.adminimal-subtheme .ajax-progress-throbber .throbber {
  border-radius: 20px;
  border: 3px solid #0074bd;
}

.adminimal-subtheme .ajax-progress-throbber .throbber:after {
  content: "";
  position: absolute;
  top: -3px;
  left: -3px;
  right: -3px;
  bottom: -3px;
  border: 3px solid transparent;
  border-top-color: rgba(255, 255, 255, 0.8);
  border-radius: 20px;
  -webkit-animation: rotation 1s linear infinite;
  animation: rotation 1s linear infinite;
}

@-webkit-keyframes rotation {
  0% {
    -webkit-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes rotation {
  0% {
    -webkit-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

/* FORMS */

.adminimal-subtheme .form-wrapper {
  margin-bottom: 10px;
}

.adminimal-subtheme fieldset:not(.fieldgroup) {
  padding: 10px !important;
  border-radius: 0 !important;
}

.adminimal-subtheme fieldset:not(.fieldgroup) > legend {
  position: static !important;
}

/* ************************************************************ admin tabs  */

.adminimal-subtheme #secondary-tabs-title + nav {
  background: #fff;
  margin-right: -2.1rem;
  margin-left: -2.1rem;
  padding: 15px;
}

.adminimal-subtheme #secondary-tabs-title + nav ul {
  margin: 0;
}

.adminimal-subtheme .content-header {
  background-color: #333;
  padding: 15px 0 0;
  top: -6px;
  position: relative;
}

/* ************************************************************ accordions  */

.adminimal-subtheme .ui-state-default .ui-icon {
  display: inline-block;
  float: left;
}

/* ************************************************************ space for the cern toolbar */

body.adminimal-subtheme.cern-toolbar {
  margin: 46px 0 0;
}

.adminimal-subtheme #cern-toolbar {
  background-color: rgba(30, 30, 30, 1);
  position: absolute;
}

/* ************************************************************ cds preview fields  */

.adminimal-subtheme .field--type-cerncdsmedia div[class*="preview-edit-field"] {
  margin: 0 0 15px;
}

div[id*="cds-image"] input.form-text {
  max-width: 370px;
}

/* ************************************************************ preview cards: hidden fields  */

.adminimal-subtheme .field--name-field-p-preview-card-type {
  display: none;
}

/* ************************************************************ loading throbber  */

.adminimal-subtheme .dropbutton .dropbutton-action .ajax-progress {
  position: static;
  padding: 5px;
}
